Subject: Re: [PATCH 2/2] builtin/mv: convert assert(3p) into `BUG()`

From: Junio C Hamano <[email-masked]>
Date: Fri, 02 May 2025 09:53:03 -0700

Johannes Schindelin <[email-masked]> writes:

> The fact of the matter is that the Visual C-built CI (first the Azure
> Pipeline, then GitHub Actions) have built the artifacts in release mode
> since forever. And the Meson addition simply made a mistake by _not
> specifying_ release mode (and hence defaulting to debug mode).

OK, so this is needed for _different_ reason; it is no longer about
working around a stuck CI due to misguided test.  The artifacts
should be built in a particular way to be consistent with the other
build pipelines (presumably they are used in production later, or
something?).

If explained that way in the updated log message, I would be very
happy to take the patch and merge it down, even fast-tracking down
to 'maint'.

Thanks.